Package com.ocient.jdbc.proto

# Interface PlanProtocol.ShuffleOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ShuffleOperator`, `PlanProtocol.ShuffleOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ShuffleOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getKeys​(int index)` | The keys we are hashing by (in order) to determine the destination
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The keys we are hashing by (in order) to determine the destination
`int` | `getKeysCount()` | The keys we are hashing by (in order) to determine the destination
`List<String>` | `getKeysList()` | The keys we are hashing by (in order) to determine the destination
`long` | `getShuffleRotation()` | `uint64 shuffle_rotation = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKeysList

List<String> getKeysList()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

### getKeysCount

int getKeysCount()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

### getKeys

String getKeys​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

### getKeysBytes

com.google.protobuf.ByteString getKeysBytes​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

### getShuffleRotation

long getShuffleRotation()
`uint64 shuffle_rotation = 2;`